Mailinglist Archive: opensuse-packaging (102 mails)

< Previous Next >
Re: [opensuse-packaging] Python 3 only
  • From: denisart benjamin2 <p.drouand@xxxxxxxxx>
  • Date: Tue, 24 Feb 2015 20:14:42 +0100
  • Message-id: <54ECCDA2.10605@gmail.com>
Le 24/02/2015 17:48, Michael Ströder a écrit :
Alberto Planas Dominguez wrote:
On Tuesday, February 24, 2015 02:19:29 PM Benjamin Denisart wrote:

If we want doing something to reduce mass of work, we should
instead
decide what to do with python2 and 3 packages. I purpose that each
time
a package is py3-compatbile and is not a dependency of a py2-only
package, we provide py3 version only in Factory.
Quite radical! : )
Somewhat understandable but it's pretty hard to decide whether both conditions
are really met. Especially the condition "is not a dependency of a py2-only
package" is likely a moving target.
=> Probably this approach would lead to a much bigger mess.

Ciao, Michael.

I think the hardest part is how we could handle it. Does It require we stop providing python3-x and just provide python-x under python3 ? Or a provide/obsolete from each py3 packages ? I don't know.
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups